"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const Event = require("./Event.js");
const Platform = require("./Platform.js");
function isButton(event, button) {
  return (Event.getOriginal(event) || event).button === button;
}
function isPrimaryButton(event) {
  return isButton(event, 0);
}
function isAuxiliaryButton(event) {
  return isButton(event, 1);
}
function hasPrimaryModifier(event) {
  var originalEvent = Event.getOriginal(event) || event;
  if (!isPrimaryButton(event)) {
    return false;
  }
  if (Platform.isMac()) {
    return originalEvent.metaKey;
  } else {
    return originalEvent.ctrlKey;
  }
}
function hasSecondaryModifier(event) {
  var originalEvent = Event.getOriginal(event) || event;
  return isPrimaryButton(event) && originalEvent.shiftKey;
}
exports.isMac = Platform.isMac;
exports.hasPrimaryModifier = hasPrimaryModifier;
exports.hasSecondaryModifier = hasSecondaryModifier;
exports.isAuxiliaryButton = isAuxiliaryButton;
exports.isButton = isButton;
exports.isPrimaryButton = isPrimaryButton;
